<xml> </xml>

db4o |

# ExtObjectContainer.GetByUUID Method

returns a stored object for a com.db4o.ext.Db4oUUID .
This method is intended for replication and for long-term external references to objects. To get a com.db4o.ext.Db4oUUID for an object use com.db4o.ext.ExtObjectContainer.GetObjectInfo and com.db4o.ext.ObjectInfo.GetUUID .
Objects will not be activated by this method. They will be returned in the activation state they are currently in, in the local cache.

object GetByUUID(
Db4oUUID uuid
);

#### Parameters

uuid
  the UUID

#### Return Value

the object for the UUID

#### See Also

ExtObjectContainer Interface | com.db4o.ext Namespace | Why activation?